xcb_shape_mask(3)

NAME
xcb_shape_mask -

SYNOPSIS
#include <xcb/shape.h>

  Request function

xcb_void_cookie_t xcb_shape_mask(xcb_connection_t *conn, xcb_shape_op_t operation, xcb_shape_kind_t destination_kind, xcb_window_t destination_window, int16_t x_offset, int16_t y_offset, xcb_pixmap_t source_bitmap);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

operation
    TODO: NOT YET DOCUMENTED.

destination_kind
    TODO: NOT YET DOCUMENTED.

destination_window
    TODO: NOT YET DOCUMENTED.

x_offset
    TODO: NOT YET DOCUMENTED.

y_offset
    TODO: NOT YET DOCUMENTED.

source_bitmap
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shape_mask_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shape.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.